API Guide Home (Online version only) |

# PhnSMSParams Struct Reference

## Detailed Description

Struct that is sent when a new sms message event id - Unique id oldStatus - newStatus -

version - Version number of the struct size - Size of the struct msgType - Indicates if message should be discarded or replaced msgClass - Indicates msg class msgInd - True if msg contains an indicator msg indicator.store - True = store msg; False = may delete msg indicator.activate - True then activate indicator; False = deactivate indicator indicator.indType - Type of indicator to display trasactionID - timeStamp - Time in seconds serviceCenterNumber- Service Center Number senderNumber - Number of sender callbackAddress - CallBack number destPort - sourcePort -

Definition at line 738 of file HsPhoneEvent.h.

## Data Fields

- UInt32 id
- UInt8 oldStatus
- UInt8 newStatus
- UInt16 version
- UInt16 size
- PhnSMSType msgType
- PhnSMSClass msgClass
- Boolean moveRequested
- Boolean msgInd
- struct {
  - Boolean store
  - Boolean activate
  - PhnMsgBoxType indType
- } indicator
- UInt8 trasactionID
- UInt32 timeStamp
- char serviceCenterNumber [kMaxPhoneNumberLen+1]
- char senderNumber [kMaxPhoneNumberLen+1]
- char callbackAddress [kMaxPhoneNumberLen+1]
- Int32 destPort
- Int32 sourcePort
- UInt16 networkMsgId
- UInt8 priority
- UInt8 privacy

## Field Documentation

UInt32 id

Definition at line 740 of file HsPhoneEvent.h.

UInt8 oldStatus

Definition at line 741 of file HsPhoneEvent.h.

UInt8 newStatus

Definition at line 742 of file HsPhoneEvent.h.

UInt16 version

Definition at line 745 of file HsPhoneEvent.h.

UInt16 size

Definition at line 746 of file HsPhoneEvent.h.

PhnSMSType msgType

Definition at line 747 of file HsPhoneEvent.h.

PhnSMSClass msgClass

Definition at line 748 of file HsPhoneEvent.h.

Boolean moveRequested

Definition at line 749 of file HsPhoneEvent.h.

Boolean msgInd

Definition at line 750 of file HsPhoneEvent.h.

Boolean store

Definition at line 752 of file HsPhoneEvent.h.

Boolean activate

Definition at line 753 of file HsPhoneEvent.h.

PhnMsgBoxType indType

Definition at line 754 of file HsPhoneEvent.h.

struct { ... } indicator

UInt8 trasactionID

Definition at line 757 of file HsPhoneEvent.h.

UInt32 timeStamp

Definition at line 758 of file HsPhoneEvent.h.

char serviceCenterNumber[kMaxPhoneNumberLen+1]

Definition at line 760 of file HsPhoneEvent.h.

char senderNumber[kMaxPhoneNumberLen+1]

Definition at line 761 of file HsPhoneEvent.h.

char callbackAddress[kMaxPhoneNumberLen+1]

Definition at line 762 of file HsPhoneEvent.h.

Int32 destPort

Definition at line 764 of file HsPhoneEvent.h.

Int32 sourcePort

Definition at line 765 of file HsPhoneEvent.h.

UInt16 networkMsgId

Definition at line 767 of file HsPhoneEvent.h.

UInt8 priority

Definition at line 768 of file HsPhoneEvent.h.

UInt8 privacy

Definition at line 769 of file HsPhoneEvent.h.

Top | Palm Developer Network © 2004-2008, Palm, Inc. All rights reserved. Generated on Fri Jun 13 10:08:27 2008 for Palm API Guide